Bug 731647 (CVE-2011-3344) - CVE-2011-3344 Satellite/Spacewalk: XSS on the Lost Password page
Summary: CVE-2011-3344 Satellite/Spacewalk: XSS on the Lost Password page
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3344
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110915,reported=20110817,sou...
Depends On: 736185
Blocks: 713496
TreeView+ depends on / blocked
 
Reported: 2011-08-18 08:26 UTC by Tomas Hoger
Modified: 2019-06-08 18:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 21:19:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1299 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite server security and enhancement update 2011-09-15 17:54:55 UTC

Description Tomas Hoger 2011-08-18 08:26:00 UTC
A cross-site scripting flaw was discovered in the Lookup Login/Password form of the RHN Satellite and Spacewalk.

https://rhnhost/help/forgot_password.pxt/%22onmouseover=alert%281%29%3E

Acknowledgements:

Red Hat would like to thank Sylvain Maes for reporting this issue.

Comment 3 Vincent Danen 2011-09-06 23:01:39 UTC
This issue has been given the name CVE-2011-3344.

Comment 5 errata-xmlrpc 2011-09-15 17:55:41 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:1299 https://rhn.redhat.com/errata/RHSA-2011-1299.html

Comment 6 Jan Pazdziora 2011-09-16 09:34:53 UTC
Fixed in Spacewalk master, commit 890781d7ec983e32fe83af2f7c033d087292851f,
tagged as spacewalk-web-1.6.21-1.


Note You need to log in before you can comment on or make changes to this bug.